/*FONTE*/
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

/*GERAL*/
* {
  box-sizing: border-box;
}

/*BODY*/
body {
  margin: 0px;
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: weight;
  font-style: normal;
  font-variation-settings: "width" 100;
  border-left: #00879a 300px solid;
  border-right: #00879a 300px solid;
}

/*PARÁGRAFO*/
p {
  color: #545454;
}

/*NAVEGAÇÃO DO TOPO*/
.navbar {
  display: flex;
  flex-flow: row wrap;
  height: auto;
  justify-content: center;
  align-items: end;
  border-bottom: 2px #005a67 solid;
}

/*LOGO DO TOPO*/
.logo {
  flex: 30%;
  text-align: center;
  margin-bottom: 1%;
}

.logo a:hover {
  opacity: 0.5;
}

.logo img {
  width: 90%;
}

/*LINKS DO TOPO*/
.navegacao {
  flex: 30%;
  text-align: center;
  margin-bottom: 1%;
  margin-left: 1%;
  margin-right: 1%;
}

.navegacao a {
  color: #005a67;
  text-decoration: none;
  font-size: 18px;
  padding: 20px 15px;
}

.navegacao a:hover {
  border-top: 2px #facc04 solid;
  color: #005a67;
}

.btn-hamburger {
  font-size: 30px;
  cursor: pointer;
  display: none;
  height: 35px;
  padding-left: 2px;
  padding-right: 2px;
  border-radius: 3px;
  position: relative;
  z-index: 999;
  top: 20px;
  left: 10px;
}

.btn-hamburger:hover {
  opacity: 0.5;
}

.btn-fechar:hover {
  opacity: 0.5;
}

.menu-mobile {
  position: fixed;
  top: 0;
  left: -250px;
  width: 250px;
  height: 100vh;
  background: #ffffff;
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 60px 20px;
  transition: 0.3s ease;
  box-shadow: 2px 0 5px rgba(0, 0, 0, 0.2);
  background-color: #005a67;
  z-index: 1000;
}

.menu-mobile a {
  font-size: 18px;
  text-decoration: none;
  color: white;
  height: 20px;
  margin-top: 10%;
}

.menu-mobile a:hover {
  border-top: 2px #facc04 solid;
  color: black;
}

.menu-mobile.ativo {
  left: 0;
}

.btn-fechar {
  font-size: 30px;
  cursor: pointer;
  position: absolute;
  top: 15px;
  right: 15px;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.6);
  opacity: 0;
  pointer-events: none;
  transition: 0.3s ease;
  z-index: 900;
}

.overlay.ativo {
  opacity: 1;
  pointer-events: all;
}

/*HEADER GLOBAL (TEXTOS)*/
.header {
  text-align: center;
  margin-bottom: 5%;
}

.header h1 {
  font-size: 50px;
  margin-bottom: 2%;
}

.header p {
  font-size: 20px;
  margin-left: 20%;
  margin-right: 20%;
}

.header h3 {
  font-size: 30px;
}

.header ul {
  display: inline-block;
  width: 550px;
  text-align: left;
  color: gray;
  padding-left: 100px;
  font-size: 20px;
}

/*RODAPÉ*/
.rodape {
  display: flex;
  flex-flow: row wrap;
}

/*ATALHOS DO RODAPÉ*/
.atalhos {
  flex: 30%;
  margin: 1%;
  text-align: center;
}

.atalhos a {
  display: inline-block;
  text-align: left;
  width: 100%;
  padding-left: 30%;
  padding-top: 12px;
  font-size: 19px;
  text-decoration: none;
  color: #005a67;
}

.atalhos a:hover {
  color: #facc04;
}

/*INFORMAÇÕES DO HOTEL DO RODAPÉ*/
.informacoes {
  flex: 30%;
  margin: 1%;
  text-align: center;
}

.informacoes p {
  font-size: 20px;
}

/*REDES SOCIAS DO RODAPÉ*/
.redes {
  flex: 30%;
  margin: 1%;
  text-align: center;
}

.redes img {
  width: 40px;
}

.redes img:hover {
  opacity: 0.5;
}

/*LOGO DO RODAPÉ*/
.ipisel {
  flex: 100%;
  text-align: center;
}

.ipisel img {
  width: 20%;
}

/*REGRAS*/

.regras {
  text-align: center;
  margin-bottom: 5%;
}

.regras h1 {
  font-size: 50px;
  margin-bottom: 2%;
}

.regras p {
  font-size: 20px;
  margin-left: 20%;
  margin-right: 20%;
}

.regras h2 {
  font-size: 30px;
}
